Mailboxd start problem

Ask questions about your setup or get help installing ZCS server (ZD section below).
Patrick795
Posts: 6
Joined: Fri Jun 14, 2019 2:32 pm
ZCS/ZD Version: Release 8.8.12.GA.3794.UBUNTU16.64

Mailboxd start problem

Postby Patrick795 » Fri Jun 14, 2019 3:00 pm

Hi,
i've got a problem with my zimbra installation.

A few days ago i installed updates with "apt-get upgrade". Also zimbra packages were updated.
After this i never restarted zimbra. Yesterday i renewed (successfull, like thousand times before) the letsencrypt ssl cert and restarted zimbra with "zmcontrol restart" to use the new certificate.

Zimbra started "ldap", "zmconfigd" and "logger" successful, but "mailbox" doesn't want to start.
In "zmmailbox.out" there is the following error message:

Code: Select all

Unrecognized option: --module-path
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.

So the used java version doesnt't know the option "--module-path".
Other (newer) versions like openjdk 9 say the same.

Does anybody know what could be the problem with my zimbra installation?

Additional Infos:
zimbra version:
Release 8.8.12.GA.3794.UBUNTU16.64 UBUNTU16_64 FOSS edition, Patch 8.8.12_P3

java version:
openjdk version "1.8.0_172-zimbra"


User avatar
DualBoot
Elite member
Elite member
Posts: 1073
Joined: Mon Apr 18, 2016 8:18 pm
Location: Earth
ZCS/ZD Version: ZCS FLOSS - 8.7.11 Mutli servers

Re: Mailboxd start problem

Postby DualBoot » Fri Jun 14, 2019 3:30 pm

Hello,

can you check your localconfig :
zmlocalconfig | grep java | grep module
to see where java is calling module-path . On a ZCS 8.7, there is no such option.

Regards,
Patrick795
Posts: 6
Joined: Fri Jun 14, 2019 2:32 pm
ZCS/ZD Version: Release 8.8.12.GA.3794.UBUNTU16.64

Re: Mailboxd start problem

Postby Patrick795 » Fri Jun 14, 2019 7:04 pm

DualBoot wrote:Hello,

can you check your localconfig :
zmlocalconfig | grep java | grep module
to see where java is calling module-path . On a ZCS 8.7, there is no such option.

Regards,


Hello,

the command "zmlocalconfig | grep java | grep module" results in no output :( .

The result of "zmlocalconfig | grep java" is:

Code: Select all

imapd_java_heap_new_size_percent = ${mailboxd_java_heap_new_size_percent}
imapd_java_heap_size =
imapd_java_options =
javamail_imap_debug = false
javamail_imap_enable_starttls = true
javamail_imap_test_timeout = 20
javamail_imap_timeout = 60
javamail_pop3_debug = false
javamail_pop3_enable_starttls = true
javamail_pop3_test_timeout = 20
javamail_pop3_timeout = 60
javamail_smtp_debug = false
javamail_smtp_enable_starttls = true
javamail_smtp_timeout = 60
javamail_zparser = true
javamail_zsmtp = true
mailboxd_java_heap_new_size_percent = 25
mailboxd_java_heap_size = 2995
mailboxd_java_options = -server -Dhttps.protocols=TLSv1,TLSv1.1,TLSv1.2 -Djdk.tls.client.protocols=TLSv1,TLSv1.1,TLSv1.2 -Djava.awt.headless=true -Dsun.net.inetaddr.ttl=${networkaddress_cache_ttl} -Dorg.apache.jasper.compiler.disablejsr199=true -XX:+UseConcMarkSweepGC -XX:SoftRefLRUPolicyMSPerMB=1 -verbose:gc -XX:+PrintGCDetails -XX:+PrintGCDateStamps -XX:+PrintGCApplicationStoppedTime -XX:-OmitStackTraceInFastThrow -Xloggc:/opt/zimbra/log/gc.log -XX:-UseGCLogFileRotation -XX:NumberOfGCLogFiles=20 -XX:GCLogFileSize=4096K -Djava.net.preferIPv4Stack=true
mailboxd_truststore = /opt/zimbra/common/lib/jvm/java/jre/lib/security/cacerts
spnego_java_options = -Djava.security.krb5.conf=${mailboxd_directory}/etc/krb5.ini -Djava.security.auth.login.config=${mailboxd_directory}/etc/spnego.conf -Djavax.security.auth.useSubjectCredsOnly=false
zimbra_java_home = /opt/zimbra/common/lib/jvm/java
zimbra_zmjava_java_ext_dirs =
zimbra_zmjava_java_library_path =
zimbra_zmjava_options = -Xmx256m -Dhttps.protocols=TLSv1,TLSv1.1,TLSv1.2 -Djdk.tls.client.protocols=TLSv1,TLSv1.1,TLSv1.2 -Djava.net.preferIPv4Stack=true
User avatar
DualBoot
Elite member
Elite member
Posts: 1073
Joined: Mon Apr 18, 2016 8:18 pm
Location: Earth
ZCS/ZD Version: ZCS FLOSS - 8.7.11 Mutli servers

Re: Mailboxd start problem

Postby DualBoot » Mon Jun 17, 2019 8:02 am

Hello,

check if module-path option is present into /opt/zimbra/bin/zmmailboxdctl
And post also the output of the following command as Zimbra user :
which java

Regards,
Patrick795
Posts: 6
Joined: Fri Jun 14, 2019 2:32 pm
ZCS/ZD Version: Release 8.8.12.GA.3794.UBUNTU16.64

Re: Mailboxd start problem

Postby Patrick795 » Mon Jun 17, 2019 1:00 pm

DualBoot wrote:Hello,

check if module-path option is present into /opt/zimbra/bin/zmmailboxdctl
And post also the output of the following command as Zimbra user :
which java

Regards,


Hi,

you mean if i open the file? No there is no module-path option:

Code: Select all

#!/bin/bash
#
# ***** BEGIN LICENSE BLOCK *****
# Zimbra Collaboration Suite Server
# Copyright (C) 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016 Synacor, Inc.
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software Foundation,
# version 2 of the License.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
# without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
# You should have received a copy of the GNU General Public License along with this program.
# If not, see <https://www.gnu.org/licenses/>.
# ***** END LICENSE BLOCK *****
#

source `dirname $0`/zmshutil || exit 1
zmsetvars

if [ ! -d ${mailboxd_directory} ]; then
  exit 0
fi

if [ ! -x /opt/zimbra/common/bin/mysql ]; then
  exit 0
fi

if [ ! -d ${zimbra_java_home} ]; then
  exit 0
fi

NC=`which nc 2>/dev/null`; NC=${NC:-`which netcat 2>/dev/null`}
platform=`/opt/zimbra/libexec/get_plat_tag.sh`
#
# Memory for use by JVM.
#
javaXmx=${mailboxd_java_heap_size:=512}
javaXms=${javaXmx}
mailboxd_java_heap_new_size_percent=${mailboxd_java_heap_new_size_percent:=25}
javaXmn=$(expr ${javaXmx} '*' ${mailboxd_java_heap_new_size_percent} / 100)

#
# Spnego - the spnego_options_file is written by zmconfigd
#          to avoid a zmprov call here.
#
spnego_options_file=/opt/zimbra/conf/spnego_java_options
if [ -e ${spnego_options_file} ]; then
  spnegoJavaOptions=$(cat $spnego_options_file)
fi

#
# Expand war files.
#
mk_download_dir() {
  if [ -d "${mailboxd_directory}/webapps/zimbra/downloads" ]; then
    /opt/zimbra/libexec/zmupdatedownload
  fi
}

#
# Main
#
case "$1" in
    'start')
      mk_download_dir
     if [ "x$2" = "x" ]; then
        /opt/zimbra/bin/zmtlsctl > /dev/null 2>&1
     fi
      sudo /opt/zimbra/libexec/zmmailboxdmgr status
      if [ $? = 0 ]; then
        echo "mailboxd already running."
        exit 0
      fi

      mkdir -p ${mailboxd_directory}/work/service/jsp
      mkdir -p ${mailboxd_directory}/work/zimbra/jsp
      mkdir -p ${mailboxd_directory}/work/zimbraAdmin/jsp
      if [ ! -d ${mailboxd_directory}/webapps/zimlet/WEB-INF ]; then
        mkdir -p ${mailboxd_directory}/webapps/zimlet/WEB-INF
      fi

      mailboxd_thread_stack_size=${mailboxd_thread_stack_size:=256k}
      if [ -z "`echo ${mailboxd_java_options} | grep Xss`" ]; then
        mailboxd_java_options="${mailboxd_java_options} -Xss${mailboxd_thread_stack_size}"
      fi

      networkaddress_cache_ttl=${networkaddress_cache_ttl:=60}
      if [ -z "`echo ${mailboxd_java_options} | grep sun.net.inetaddr.ttl`" ]; then
        mailboxd_java_options="${mailboxd_java_options} -Dsun.net.inetaddr.ttl=${networkaddress_cache_ttl}"
      fi
      echo -n "Starting mailboxd..."
      sudo /opt/zimbra/libexec/zmmailboxdmgr start \
        -Dfile.encoding=UTF-8 ${mailboxd_java_options} ${spnegoJavaOptions} -Xms${javaXms}m \
        -Xmx${javaXmx}m -Xmn${javaXmn}m < /dev/null > /dev/null 2>&1
      status=$?
      if [ $status != 0 ]; then
        echo "failed."
        exit $status
      fi
      status=1
      MPORT=`/opt/zimbra/bin/zmprov -l gs ${zimbra_server_hostname} zimbraMailPort | grep zimbraMailPort: | awk '{print $2}'`
      if [ x$platform = "xRHEL7_64" ]; then
        ncOpt="--send-only --recv-only"
      else
        ncOpt="-z"
      fi
      for ((i=0; i < 12; i++)); do
        $NC $ncOpt localhost ${MPORT} >/dev/null 2>&1
        if [ $? = 0 ]; then
          status=0
          break
        fi
        sleep 5
      done
      if [ $status = 0 ]; then
        echo "done."
      else
        echo "failed."
      fi
      exit $status
    ;;

    'kill'|'stop')
      echo -n "Stopping mailboxd..."
      sudo /opt/zimbra/libexec/zmmailboxdmgr status
      if [ $? != 0 ]; then
        echo "mailboxd is not running."
        exit 0
      fi
      /opt/zimbra/bin/zmthrdump -i -o /opt/zimbra/log/stacktrace.$$.$(date +%Y%m%d%H%M%S) 2> /dev/null
      sudo /opt/zimbra/libexec/zmmailboxdmgr stop
      if [ $? = 0 ]; then
        echo "done."
      else
        echo "failed."
      fi
      exit 0
    ;;

   
    'restart'|'reload')
        $0 stop
        $0 start $2
    ;;
   
    'status')
      echo -n "mailboxd is "
      sudo /opt/zimbra/libexec/zmmailboxdmgr status
      if [ $? = 0 ]; then
        echo "running."
        exit 0
      else
        echo "not running."
        exit 1
      fi
    ;;

   'update')
      mk_download_dir
   ;;

    *)
      echo "Usage: $0 start|stop|kill|restart|reload|status|update"
      exit 1
    ;;
esac


Result of "which java":

Code: Select all

/opt/zimbra/common/lib/jvm/java/bin/java
User avatar
DualBoot
Elite member
Elite member
Posts: 1073
Joined: Mon Apr 18, 2016 8:18 pm
Location: Earth
ZCS/ZD Version: ZCS FLOSS - 8.7.11 Mutli servers

Re: Mailboxd start problem

Postby DualBoot » Mon Jun 17, 2019 1:27 pm

quite weird ... Sorry I have no more idea
Patrick795
Posts: 6
Joined: Fri Jun 14, 2019 2:32 pm
ZCS/ZD Version: Release 8.8.12.GA.3794.UBUNTU16.64

Re: Mailboxd start problem

Postby Patrick795 » Mon Jun 17, 2019 2:11 pm

DualBoot wrote:quite weird ... Sorry I have no more idea


Hm ok, nevertheless thank you!

Maybe i'm going to try a fresh install and try to "import" my data. I don't know how yet or if it's possible without loosing data, but i will find it out.


If sombody else have any idea, please let me know!
Patrick795
Posts: 6
Joined: Fri Jun 14, 2019 2:32 pm
ZCS/ZD Version: Release 8.8.12.GA.3794.UBUNTU16.64

Re: Mailboxd start problem

Postby Patrick795 » Tue Jun 25, 2019 4:06 pm

After a lot of work and many hours my zimbra server is finally running again.
My server is running a really long time, so there were a lot of zimbra updates and also distribution upgrades in the past.
To get it running again i needed to change the java version of zimbra manually, also change some binary files of the installation. I also changed a lot of configurations.
There were so many things to do, that i cannot list the things here. After one error was fxed, i got the next one.
There was also a problem with not updated databases files. I updated them with update scripts which come with the zimbra installation manually.

This topic can be closed.

Return to “Installation and Upgrade”

Who is online

Users browsing this forum: No registered users and 5 guests